> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/get-all-added-public-knowledge.md).

# 获取所有添加的公共知识

{% openapi src="/files/MHZeBzqvJFrULa5h2LlV" path="/common-knowledge/subscribed-list/" method="get" %}
[rememberizer\_openapi.yml](https://1371168417-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4gvX7KIUy0DhcQETj8Ux%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=cce1ab0d-330f-4bed-b7da-5635aaf25472)
{% endopenapi %}

## 示例请求

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getPublicKnowledge = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getPublicKnowledge();
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_public_knowledge():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_public_knowledge()
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}
{% endtabs %}

## 响应格式

```json
[
  {
    "id": 1,
    "num_of_subscribers": 76,
    "publisher_name": "Rememberizer AI",
    "published_by_me": false,
    "subscribed_by_me": true,
    "size": 66741,
    "created": "2023-01-15T14:30:00Z",
    "modified": "2023-05-20T09:45:12Z",
    "priority_score": 2.053,
    "name": "Rememberizer 文档",
    "image_url": "https://example.com/images/rememberizer-docs.png",
    "description": "关于 Rememberizer 的最新文档和博客文章。",
    "api_key": null,
    "is_sharing": true,
    "memento": 159,
    "document_ids": [1234, 5678, 9012]
  }
]
```

此端点检索当前用户已订阅的所有公共知识（也称为常识）的列表。每个项目包括有关知识来源的元数据，例如出版日期、大小和相关文档。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/get-all-added-public-knowledge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
